package cn.iocoder.yudao.module.system.service.nursing;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.nursing.vo.NursingShiftPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.nursing.vo.NursingShiftSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.NursingShiftDO;

import java.util.List;

/**
 * 护理班次 Service 接口
 *
 * @author 源码
 */
public interface NursingShiftService {


    void createShift(NursingShiftSaveReqVO createReqVO);

    NursingShiftDO getNursingShift(Long id);

    void deleteShift(Long[] ids);

    PageResult<NursingShiftDO> getNursingShiftPage(NursingShiftPageReqVO pageReqVO);

    void updateShift(NursingShiftDO updateReqVO);

    List<NursingShiftDO> getList();
}